Package org.jfree.layouting.modules.output.plaintext

## Class PlaintextOutputMetaData

- java.lang.Object
- - org.jfree.layouting.output.AbstractOutputProcessorMetaData
  - - org.jfree.layouting.modules.output.plaintext.PlaintextOutputMetaData

- All Implemented Interfaces:
    `OutputProcessorMetaData`

      public class PlaintextOutputMetaData
      extends AbstractOutputProcessorMetaData

  Creation-Date: 13.11.2006, 12:48:51
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaintextOutputMetaData​(org.pentaho.reporting.libraries.fonts.registry.FontRegistry registry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.fonts.registry.FontFamily` | `getDefaultFontFamily​()` |
    `java.lang.String` | `getExportDescriptor​()` | The export descriptor is a string that describes the output characteristics.
    `boolean` | `isIterative​()` | An iterative output processor accepts and processes small content chunks.

    - ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessorMetaData

      `addFeature, getDefaultPageSize, getFontFamilyForGenericName, getFontMetrics, getFontRegistry, getFontSize, getFontStorage, getHorizontalPageSpan, getMediaType, getNormalizedFontFamilyName, getNumericFeatureValue, getSupportedResourceTypes, getVerticalPageSpan, isFeatureSupported, isValid, setFamilyMapping, setNumericFeatureValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaintextOutputMetaData

          public PlaintextOutputMetaData​(org.pentaho.reporting.libraries.fonts.registry.FontRegistry registry)

  - ### Method Detail

    - #### getDefaultFontFamily

          public org.pentaho.reporting.libraries.fonts.registry.FontFamily getDefaultFontFamily​()

    - #### getExportDescriptor

          public java.lang.String getExportDescriptor​()

      The export descriptor is a string that describes the output characteristics. For libLayout outputs, it should start with the output class (one of 'pageable', 'flow' or 'stream'), followed by '/liblayout/' and finally followed by the output type (ie. PDF, Print, etc).
      Returns:
        the export descriptor.

    - #### isIterative

          public boolean isIterative​()

      An iterative output processor accepts and processes small content chunks. If this method returns false, the output processor will not receive the content until the whole document is processed.
      Returns: